Subject: Re: [bess] RtgDir Early review: draft-ietf-bess-mvpn-msdp-sa-interoperation-00.txt

From: "Hejia (Jia)" <[email-masked]>
Date: Fri, 27 Apr 2018 08:04:08 +0000

Hi Jeffrey,

Thanks for considering my comments. It looks OK to me.

B.R.
Jia

发件人: Jeffrey (Zhaohui) Zhang [mailto:[email-masked]]
发送时间: 2018年4月26日 4:44
收件人: Hejia (Jia) <[email-masked]>; [email-masked]; [email-masked]
抄送: [email-masked]; [email-masked]
主题: RE: RtgDir Early review: draft-ietf-bess-mvpn-msdp-sa-interoperation-00.txt

Hi,

-01 revision has been posted – with the nits addressed and a security consideration section added.

Thanks!
Jeffrey

From: Jeffrey (Zhaohui) Zhang
Sent: Tuesday, April 24, 2018 1:41 PM
To: Hejia (Jia) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: RtgDir Early review: draft-ietf-bess-mvpn-msdp-sa-interoperation-00.txt

Hi Jia,

Thanks for your review and feedback. I’ve fixed the nits and we are discussing the security consideration text to be added.

Jeffrey

From: Hejia (Jia) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, April 17, 2018 3:16 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RtgDir Early review: draft-ietf-bess-mvpn-msdp-sa-interoperation-00.txt

Hello,

I have been selected to do a routing directorate “early” review of this draft.
https://datatracker.ietf.org/doc/draft-ietf-bess-mvpn-msdp-sa-interoperation/

The routing directorate will, on request from the working group chair, perform an “early” review of a draft before it is submitted for publication to the IESG. The early review can be performed at any time during the draft’s lifetime as a working group document. The purpose of the early review depends on the stage that the document has reached.

As this document has recently been adopted by the working group, my focus for the review is on providing a new perspective on the work, with the intention of catching any issues early on in the document's life cycle.

For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Document draft-ietf-bess-mvpn-msdp-sa-interoperation-00.txt
Reviewer: Jia He
Review Date: 16 April 2018
Intended Status: Standards Track

Summary
The document clearly describes the problem and specifies the MVPN/MSDP SA interoperation procedures. However, I have a minor concern that I think should be resolved before it is submitted to the IESG.

Comments
The current version of the draft lacks security considerations. Since the work in this draft is about interoperation between MVPN and MSDP, security considerations are need IMHO.

Nits:
1) Section 2, "...but [RFC6514] does not specify that it advertise MSDP SA messages to those MSDP peers... " , s/advertise/advertises
2) Section 2, "While MSDP Source Active routes contain the source, group and RP address of a given multicast flow,....", s/address/addresses

B.R.
Jia